Bug 7931 - fwhois doesn't handle redirects
fwhois doesn't handle redirects
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: fwhois (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
http://www.thibault.org/whois2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-21 12:46 EST by John Stracke
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-25 15:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Stracke 1999-12-21 12:46:16 EST
With the advent of multiple DNS registrars, the default whois server at
rs.internic.net has started sending redirects instead of actual data.  I
have written a simple sh script, available at
<http://www.thibault.org/whois2>, which invokes fwhois (or whois, if that's
what you have) and processes the redirect.  It also sends lookups for IP
numbers to whois.arin.net (I haven't yet gotten it to handle ARIN's
redirects for other IP number registries).

This script should work fine as a dropin replacement for /usr/bin/whois
(instead of the symlink that's there now).
Comment 1 Elliot Lee 2000-02-03 18:15:59 EST
The script itself has some /tmp race conditions, but those are fixable issues.
The bigger question is whether the user wants to have the redirect done
automatically or not.

While convenience is certainly nice to have, there is also the issue of being
consistent with what is expected - doing automatic redirection arguably violates
the principle of least surprise.
Comment 2 John Stracke 2000-02-04 22:42:59 EST
Or, alternatively, "least surprise" means that it should keep working as it
traditionally has: you ask for information, you get it.

One option would be to include something like my wrapper, but under a different
name, so that a user can use "xwhois" (or whatever) instead of "whois".
Comment 3 Crutcher Dunnavant 2000-07-25 15:34:30 EDT
Taking ownership of this module, taking the bugs
Comment 4 Crutcher Dunnavant 2000-07-25 16:56:14 EDT
fwhois is being dropped, clossing this bug

Note You need to log in before you can comment on or make changes to this bug.